Description: use pkg-config to detect gnutls
Debian: http://bugs.debian.org/529835
Origin: http://groups.google.com/group/loudmouth-dev/browse_thread/thread/3f78255837048daf#

--- a/configure.ac.orig	2009-08-16 20:29:36.000000000 +0200
+++ b/configure.ac	2009-08-16 20:30:43.000000000 +0200
@@ -146,10 +146,12 @@ AC_ARG_WITH(openssl-libs,
 enable_ssl=no
 if test "x$ac_ssl" = "xgnutls"; then
   dnl Look for GnuTLS
-  AM_PATH_LM_LIBGNUTLS($GNUTLS_REQUIRED, have_libgnutls=yes, have_libgnutls=no)
-  if test "x$have_libgnutls" = "xyes"; then
-    CFLAGS="$CFLAGS $LIBGNUTLS_CFLAGS"
-    LIBS="$LIBS $LIBGNUTLS_LIBS"
+  PKG_CHECK_MODULES(GNUTLS, gnutls >= $GNUTLS_REQUIRED, have_gnutls=yes, have_gnutls=no)
+  if test "x$have_gnutls" = "xyes"; then 
+    AC_SUBST(ASYNCNS_CFLAGS)
+    AC_SUBST(ASYNCNS_LIBS)
+    CFLAGS="$CFLAGS $GNUTLS_CFLAGS"
+    LIBS="$LIBS $GNUTLS_LIBS"
     AC_DEFINE(HAVE_GNUTLS, 1, [whether to use GnuTSL support.])
     enable_ssl=GnuTLS
   else
